%define	upstream_name	 Params-Validate
%define upstream_version 1.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Validate method/function call parameters
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.422.700
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml TODO
%{_mandir}/*/*
%{perl_vendorarch}/*

%changelog
* Mon Oct 19 2020 tv <tv> 1.300.0-1.mga8
+ Revision: 1636812
- update to 1.30

* Fri Jun 19 2020 tv <tv> 1.290.0-8.mga8
+ Revision: 1596593
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.290.0-7.mga8
+ Revision: 1530312
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 1.290.0-6.mga8
+ Revision: 1434710
- BR perl-ExtUtils-MakeMaker
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.290.0-5.mga7
+ Revision: 1293649
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 1.290.0-4.mga7
+ Revision: 1247974
- Rebuild for new perl 5.28.0

* Tue Oct 03 2017 tv <tv> 1.290.0-3.mga7
+ Revision: 1166129
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.290.0-2.mga7
+ Revision: 1149100
- Rebuild for perl ABI changes

* Fri Jul 21 2017 shlomif <shlomif> 1.290.0-1.mga7
+ Revision: 1126326
- rebuild for new perl 5.26.0 + new upstream ver

* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-2.mga6
+ Revision: 1031637
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.230.0-1.mga6
+ Revision: 1002283
- update to 1.23

* Thu Feb 25 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 978828
- update to 1.22

* Fri Feb 12 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 957847
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 855366
- update to 1.21

* Sun Jul 05 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 851560
- update to 1.20

* Fri Jun 26 2015 tv <tv> 1.190.0-2.mga6
+ Revision: 845074
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.190.0-1.mga6
+ Revision: 840593
- New version 1.19 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 745309
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.130.0-3.mga5
+ Revision: 733215
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-2.mga5
+ Revision: 685885
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 640826
- update to 1.13

* Fri Jun 27 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 640340
- update to 1.11

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-2.mga5
+ Revision: 631584
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 624167
- update to 1.10

* Tue May 06 2014 jquelin <jquelin> 1.90.0-1.mga5
+ Revision: 620479
- update to 1.09

* Sat Oct 19 2013 umeabot <umeabot> 1.80.0-2.mga4
+ Revision: 527604
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.80.0-1.mga4
+ Revision: 441473
- update to 1.08

* Wed May 29 2013 tv <tv> 1.70.0-3.mga4
+ Revision: 430111
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 371503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 315815
- update to 1.07

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 251027
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 219702
- update to 1.06

* Wed Jun 15 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 107290
- update to 1.00

* Sat Jun 11 2011 sander85 <sander85> 0.950.0-4.mga2
+ Revision: 104121
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.950.0-3.mga1
+ Revision: 31029
- mageia rebuild
- imported package perl-Params-Validate

